import QtQuick 1.1

Rectangle {
    id: _root
    //プロパティを定義
    property string screenNname: "ioriayane"
    //背景
    gradient: Gradient{
        GradientStop { position: 0.0; color: "#2D4761" }
        GradientStop { position: 0.2; color: "#45718C" }
        GradientStop { position: 1.0; color: "#2D4761" }
    }

    //Twitterからデータを取得、解析
    XmlListModel{   // --[1]
        id: _model
        source: "http://api.twitter.com/1/statuses/retweeted_to_user.xml"
                + "?screen_name=" + screenNname
        query: "/statuses/status"
        XmlRole{ name: "text"; query: "retweeted_status/text/string()" }
        XmlRole{ name: "name"; query: "retweeted_status/user/screen_name/string()" }
        XmlRole{ name: "icon"; query: "retweeted_status/user/profile_image_url/string()" }
    }

    //情報の表示
    ListView{   // --[2]
        anchors.fill: parent
        clip: true
        model: _model
        delegate: Rectangle{    // --[3]
            id: _area
            width: _root.width
            height: _status.height * 1.3
            color: "#00000000"
            border.color: "darkgray"
            border.width: 1
            Row{
                id: _status
                width: parent.width * 0.95
                anchors.centerIn: parent
                spacing: 5
                Image{  // --[4]
                    id: _icon
                    anchors.verticalCenter: parent.verticalCenter
                    width: 48
                    height: 48
                    source: model.icon
                }
                Text{   // -- [5]
                    id: _text
                    width: parent.width - _icon.width - parent.spacing
                    color: "#D5EAF2"
                    wrapMode: "WordWrap"
                    text: model.text
                }
            }
            MouseArea{  // --[6]
                anchors.fill: parent
                onClicked: {
                    _text.text = model.name;
                }
            }
        }
    }
}
