import QtQuick 1.1

Rectangle {
    id: _root
    width: 360
    height: 360
    //横方向へボタンを並べる
    Row{
        id: _btnArea
        spacing: 2
        //１ページ目用のボタン
        Button{
            id: _btn1
            width: 150
            height: 30
            text: "Twitter"   //--[1]
            onClicked: {
                //状態の変更は名前の指定でも可
                _root.state = "page1";
            }
        }
        //２ページ目用のボタン
        Button{
            id: _btn2
            width: 150
            height: 30
            text: "Hello"
            onClicked: {
                _root.state = "page2";
            }
        }
    }
    Row{
        id: _content
        anchors.top: _btnArea.bottom
        anchors.bottom: parent.bottom
        //１ページ目
        Twitter{
            id: _page1
            width: _root.width
            height: parent.height
            color: "#F692F7"
        }
        //２ページ目
        Rectangle{
            id: _page2
            width: _root.width
            height: parent.height
            color: "#F6F792"
            Text{
                anchors.centerIn: parent
                font.pointSize: 14
                text: "Hello Qt Quick"
            }
        }
    }
    //ページの表示状態を管理する
    states: [
        //１ページ目
        State{
            name: "page1"
            PropertyChanges { target: _content; x: 0}
        },
        //２ページ目
        State {
            name: "page2"
            PropertyChanges { target: _content; x: -_root.width}
        }
    ]
    //ページ切替え時のアニメーション
    transitions: Transition {
        NumberAnimation {       //--[3]
            target: _content
            properties: "x"     //対象のプロパティ
            easing.type: Easing.OutBounce
            duration: 400       //アニメにかける時間
        }
    }
}
